#include <bits/stdc++.h>
using namespace std;
using ll = long long;
using ld = long double;
const int N = 2e5 + 20;

void solve()
{
    int n,l;
    cin >> n >> l;
    vector<int> a(n);
    for(int i = 0; i < n; i++)cin >> a[i];
    for(int i = 0; i < n; i++){
        if(a[i] <= l){
            cout << i+1 << "\n";
            return;
        }
    }
    cout << -1 << "\n";


}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int t;
    t = 1;
    //cin >> t;
    while(t--){
        solve();
    }

}